Skip to main content
PUT
/
api2
/
v1
/
projectTemplates
/
{projectTemplateUid}
Edit project template
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "templateName": "<string>",
  "assignedTo": [
    {
      "providers": [
        {
          "type": "<string>",
          "id": "<string>"
        }
      ],
      "targetLang": "<string>"
    }
  ],
  "dynamicTitle": "<string>",
  "fileHandover": true,
  "name": "<string>",
  "note": "<string>",
  "projectWorkflowSettings": {
    "completeUnassigned": true,
    "propagateTranslationsToLowerWfDuringUpdateSource": true
  },
  "sourceLang": "<string>",
  "targetLangs": [
    "<string>"
  ],
  "useDynamicTitle": true,
  "workFlowSettings": [
    {
      "assignedTo": [
        {
          "providers": [
            {
              "type": "<string>",
              "id": "<string>"
            }
          ],
          "targetLang": "<string>"
        }
      ]
    }
  ]
}
'
{
  "assignedTo": [
    {
      "providers": [
        {
          "type": "<string>",
          "id": "<string>",
          "uid": "<string>"
        }
      ],
      "targetLang": "<string>"
    }
  ],
  "businessUnit": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "client": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "costCenter": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "dateCreated": "2023-11-07T05:31:56Z",
  "dateModified": "{ \"epochSeconds\": 1624619701, \"nano\": 0 }",
  "dateTimeModified": "2023-11-07T05:31:56Z",
  "domain": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "dynamicTitle": "<string>",
  "fileHandoverSettings": {
    "fileHandover": true
  },
  "id": "<string>",
  "importSettings": {
    "uid": "<string>"
  },
  "modifiedBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "name": "<string>",
  "note": "<string>",
  "notifyProviders": {
    "organizationEmailTemplate": {},
    "notificationIntervalInMinutes": 720
  },
  "owner": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "projectWorkflowSettings": {
    "completeUnassigned": true,
    "propagateTranslationsToLowerWfDuringUpdateSource": true
  },
  "sourceLang": "<string>",
  "subDomain": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "targetLangs": [
    "<string>"
  ],
  "templateName": "<string>",
  "uid": "<string>",
  "useDynamicTitle": true,
  "vendor": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "workflowSettings": [
    {
      "assignedTo": [
        {
          "providers": [
            {
              "type": "<string>",
              "id": "<string>",
              "uid": "<string>"
            }
          ],
          "targetLang": "<string>"
        }
      ],
      "lqaProfile": {
        "uid": "<string>"
      },
      "notifyProvider": {
        "organizationEmailTemplate": {},
        "notificationIntervalInMinutes": 720
      },
      "workflowStep": {
        "id": "<string>",
        "lqaEnabled": true,
        "name": "<string>",
        "order": 123,
        "uid": "<string>"
      }
    }
  ],
  "workflowSteps": [
    {
      "abbr": "<string>",
      "id": "<string>",
      "lqaEnabled": true,
      "name": "<string>",
      "order": 123,
      "uid": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectTemplateUid
string
required

Project template UID

Body

application/json

Updated project template data

templateName
string
required
Maximum string length: 255
assignedTo
object[]

only use for projects without workflows; otherwise specify in the workflowSettings object

businessUnit
object
client
object
costCenter
object
domain
object
dynamicTitle
string
Maximum string length: 255
fileHandover
boolean

Default: false

importSettings
object
name
string
Maximum string length: 255
note
string
Maximum string length: 4096
notifyProvider
object
projectWorkflowSettings
object
sourceLang
string
subDomain
object
targetLangs
string[]
useDynamicTitle
boolean
vendor
object
workFlowSettings
object[]

Per-step workflow configuration: provider assignments, notification settings, and LQA profiles. Replaces all workflow step settings for this template.

Response

OK

assignedTo
object[]

Per-target-language provider assignments. Null when the template has workflow steps; use workflowSettings instead.

businessUnit
object
client
object
costCenter
object
createdBy
object
dateCreated
string<date-time>

Date and time the template was created

dateModified
string<date-time>

Deprecated - use dateTimeModified field instead

Example:

"{ \"epochSeconds\": 1624619701, \"nano\": 0 }"

dateTimeModified
string<date-time>

Date and time the template was last modified

domain
object
dynamicTitle
string

Pattern used to generate project names when useDynamicTitle is true

fileHandoverSettings
object
id
string

Internal numeric identifier, encoded as a string

importSettings
object
modifiedBy
object
name
string

Name inherited from the source project the template was created from

note
string

Note inherited from the source project

notifyProviders
object
owner
object
projectWorkflowSettings
object
sourceLang
string

Source language code, inherited from the project the template was created from. Cannot be set when creating a template.

subDomain
object
targetLangs
string[]

Target language codes, inherited from the project the template was created from. Cannot be set when creating a template.

templateName
string

Name of the template

uid
string

Unique identifier used in API paths

useDynamicTitle
boolean

When true, generated project names use the dynamic title pattern

vendor
object
workflowSettings
object[]

Per-workflow-step provider assignments and settings. Empty when the template has no workflow steps.

workflowSteps
object[]

Workflow steps, inherited from the project the template was created from. Cannot be set when creating a template.